<?php
declare(strict_types=1);

namespace WP_AUX\Enum;

use WP_AUX\Interfaces\OptionsEnumInterface;
use WP_AUX\Traits\EnumTraits;

enum SectionStyleEnum: string implements OptionsEnumInterface
{
  use EnumTraits;

  case Default = 'default';
  case Bold = 'bold';
  case Elegant = 'elegant';

  public const SETTING_LABEL = 'AUX style';

  public function label(): string
  {
    return match($this) {
      self::Default => 'Default',
      self::Bold => 'Bold',
      self::Elegant => 'Elegant',
    };
  }
}
